backSpline {splines} | R Documentation

## Monotone Inverse Spline

### Description

Create a monotone inverse of a monotone natural spline.

### Usage

    backSpline(object)

### Arguments

`object` | an object that inherits from class `nbSpline` or `npolySpline`. That is, the object must represent a natural interpolation spline but it can be either in the B-spline representation or the piecewise polynomial one. The spline is checked to see if it represents a monotone function.

### Value

An object of class `polySpline` that contains the piecewise polynomial representation of a function that has the appropriate values and derivatives at the knot positions to be an inverse of the spline represented by `object`. Technically this object is not a spline because the second derivative is not constrained to be continuous at the knot positions. However, it is often a much better approximation to the inverse than fitting an interpolation spline to the y/x pairs.

### Author(s)

Douglas Bates and Bill Venables

### See Also

`interpSpline`

### Examples

    data( women )
    ispl <- interpSpline( women$height, women$weight )
    bspl <- backSpline( ispl )
    plot( bspl )                   # plots over the range of the knots
    points( women$weight, women$height )

[Package Contents]